Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class OGP

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.OGP

    public class OGP

extends Vocabulary

The Open Graph Protocol vocabulary.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Field Summary
`org.openrdf.model.URI` | `audio`
`static String` | `AUDIO` A URL to an audio file to accompany this object.
`static String` | `AUDIO__SECURE_URL` An alternate url to use if the webpage requires HTTPS.
`static String` | `AUDIO__TYPE` A MIME type for this audio.
`org.openrdf.model.URI` | `audioSecureURL`
`org.openrdf.model.URI` | `audioType`
`org.openrdf.model.URI` | `description`
`static String` | `DESCRIPTION` A one to two sentence description of your object.
`org.openrdf.model.URI` | `determiner`
`static String` | `DETERMINER` The word that appears before this object's title in a sentence.
`org.openrdf.model.URI` | `image`
`static String` | `IMAGE` The canonical URL of your object that will be used as its permanent ID in the graph (Facebook Graph API).
`static String` | `IMAGE__HEIGHT` The number of pixels high.
`static String` | `IMAGE__SECURE_URL` An alternate url to use if the webpage requires HTTPS.
`static String` | `IMAGE__TYPE` A MIME type for this image.
`static String` | `IMAGE__URL` Identical to `og:image`.
`static String` | `IMAGE__WIDTH` The number of pixels wide.
`org.openrdf.model.URI` | `imageHeight`
`org.openrdf.model.URI` | `imageSecureURL`
`org.openrdf.model.URI` | `imageType`
`org.openrdf.model.URI` | `imageURL`
`org.openrdf.model.URI` | `imageWidth`
`org.openrdf.model.URI` | `locale`
`static String` | `LOCALE` The locale these tags are marked up in.
`static String` | `LOCALE__ALTERNATE` An array of other locales this page is available in.
`org.openrdf.model.URI` | `localeAlternate`
`org.openrdf.model.URI` | `NAMESPACE`
`static String` | `NS`
`static String` | `SITE_NAME` If your object is part of a larger web site, the name which should be displayed for the overall site.
`org.openrdf.model.URI` | `siteName`
`org.openrdf.model.URI` | `title`
`static String` | `TITLE` The title of your object as it should appear within the graph (Facebook Graph API).
`org.openrdf.model.URI` | `type`
`static String` | `TYPE` The type of your object, e.g., `video.movie`.
`org.openrdf.model.URI` | `url`
`static String` | `URL` An image URL which should represent your object within the graph.
`org.openrdf.model.URI` | `video`
`static String` | `VIDEO` A URL to a video file that complements this object.
`static String` | `VIDEO__HEIGHT` The number of pixels height.
`static String` | `VIDEO__SECURE_URL` An alternate url to use if the webpage requires HTTPS.
`static String` | `VIDEO__TYPE` A MIME type for this video.
`static String` | `VIDEO__URL` Video URL.
`static String` | `VIDEO__WIDTH` The number of pixels wide.
`org.openrdf.model.URI` | `videoHeight`
`org.openrdf.model.URI` | `videoSecureURL`
`org.openrdf.model.URI` | `videoType`
`org.openrdf.model.URI` | `videoURL`
`org.openrdf.model.URI` | `videoWidth`

Method Summary
`static OGP` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

See Also:
  Constant Field Values

### TITLE

    public static final String TITLE

  The title of your object as it should appear within the graph (Facebook Graph API).

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

  The type of your object, e.g., `video.movie`. Depending on the type you specify, other properties may also be required.

  See Also:
    Constant Field Values

### URL

    public static final String URL

  An image URL which should represent your object within the graph.

  See Also:
    Constant Field Values

### IMAGE

    public static final String IMAGE

  The canonical URL of your object that will be used as its permanent ID in the graph (Facebook Graph API).

  See Also:
    Constant Field Values

### AUDIO

    public static final String AUDIO

  A URL to an audio file to accompany this object.

  See Also:
    Constant Field Values

### DESCRIPTION

    public static final String DESCRIPTION

  A one to two sentence description of your object.

  See Also:
    Constant Field Values

### DETERMINER

    public static final String DETERMINER

  The word that appears before this object's title in a sentence. An enum of (a, an, the, "", auto). If auto is chosen, the consumer of your data should chose between "a" or "an". Default is "" (blank).

  See Also:
    Constant Field Values

### LOCALE

    public static final String LOCALE

  The locale these tags are marked up in. Of the format `language_TERRITORY`. Default is `en_US`.

  See Also:
    Constant Field Values

### LOCALE__ALTERNATE

    public static final String LOCALE__ALTERNATE

  An array of other locales this page is available in.

  See Also:
    Constant Field Values

### SITE_NAME

    public static final String SITE_NAME

  If your object is part of a larger web site, the name which should be displayed for the overall site. e.g., IMDb.

  See Also:
    Constant Field Values

### VIDEO

    public static final String VIDEO

  A URL to a video file that complements this object.

  See Also:
    Constant Field Values

### IMAGE__URL

    public static final String IMAGE__URL

  Identical to `og:image`.

  See Also:
    Constant Field Values

### IMAGE__SECURE_URL

    public static final String IMAGE__SECURE_URL

  An alternate url to use if the webpage requires HTTPS.

  See Also:
    Constant Field Values

### IMAGE__TYPE

    public static final String IMAGE__TYPE

  A MIME type for this image.

  See Also:
    Constant Field Values

### IMAGE__WIDTH

    public static final String IMAGE__WIDTH

  The number of pixels wide.

  See Also:
    Constant Field Values

### IMAGE__HEIGHT

    public static final String IMAGE__HEIGHT

  The number of pixels high.

  See Also:
    Constant Field Values

### VIDEO__URL

    public static final String VIDEO__URL

  Video URL.

  See Also:
    Constant Field Values

### VIDEO__SECURE_URL

    public static final String VIDEO__SECURE_URL

  An alternate url to use if the webpage requires HTTPS.

  See Also:
    Constant Field Values

### VIDEO__TYPE

    public static final String VIDEO__TYPE

  A MIME type for this video.

  See Also:
    Constant Field Values

### VIDEO__WIDTH

    public static final String VIDEO__WIDTH

  The number of pixels wide.

  See Also:
    Constant Field Values

### VIDEO__HEIGHT

    public static final String VIDEO__HEIGHT

  The number of pixels height.

  See Also:
    Constant Field Values

### AUDIO__SECURE_URL

    public static final String AUDIO__SECURE_URL

  An alternate url to use if the webpage requires HTTPS.

  See Also:
    Constant Field Values

### AUDIO__TYPE

    public static final String AUDIO__TYPE

  A MIME type for this audio.

  See Also:
    Constant Field Values

### NAMESPACE

    public final org.openrdf.model.URI NAMESPACE

### title

    public final org.openrdf.model.URI title

### type

    public final org.openrdf.model.URI type

### url

    public final org.openrdf.model.URI url

### image

    public final org.openrdf.model.URI image

### description

    public final org.openrdf.model.URI description

### determiner

    public final org.openrdf.model.URI determiner

### locale

    public final org.openrdf.model.URI locale

### localeAlternate

    public final org.openrdf.model.URI localeAlternate

### siteName

    public final org.openrdf.model.URI siteName

### video

    public final org.openrdf.model.URI video

### imageURL

    public final org.openrdf.model.URI imageURL

### imageSecureURL

    public final org.openrdf.model.URI imageSecureURL

### imageType

    public final org.openrdf.model.URI imageType

### imageWidth

    public final org.openrdf.model.URI imageWidth

### imageHeight

    public final org.openrdf.model.URI imageHeight

### videoURL

    public final org.openrdf.model.URI videoURL

### videoSecureURL

    public final org.openrdf.model.URI videoSecureURL

### videoType

    public final org.openrdf.model.URI videoType

### videoWidth

    public final org.openrdf.model.URI videoWidth

### videoHeight

    public final org.openrdf.model.URI videoHeight

### audio

    public final org.openrdf.model.URI audio

### audioSecureURL

    public final org.openrdf.model.URI audioSecureURL

### audioType

    public final org.openrdf.model.URI audioType

Method Detail

### getInstance

    public static OGP getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.